QwtOHLCSample Class Reference

Open-High-Low-Close sample used in financial charts. More...

`#include <qwt_samples.h>`

## Public Member Functions

| QwtOHLCSample (double time=0.0, double open=0.0, double high=0.0, double low=0.0, double close=0.0)
QwtInterval | boundingInterval () const
| Calculate the bounding interval of the OHLC values. More...
bool | isValid () const
| Check if a sample is valid. More...

## Public Attributes

double | time
double | open
| Opening price.
double | high
| Highest price.
double | low
| Lowest price.
double | close
| Closing price.

## Detailed Description

Open-High-Low-Close sample used in financial charts.

In financial charts the movement of a price in a time interval is often represented by the opening/closing prices and the lowest/highest prices in this interval.

See also
  QwtTradingChartData

Definition at line 143 of file qwt_samples.h.

## Constructor & Destructor Documentation

## QwtOHLCSample()

QwtOHLCSample::QwtOHLCSample | ( | double | t = `0.0`,
|  | double | o = `0.0`,
|  | double | h = `0.0`,
|  | double | l = `0.0`,
|  | double | c = `0.0`
| ) |  |

inline

Constructor

Parameters

  t | Time value
  o | Open value
  h | High value
  l | Low value
  c | Close value

Definition at line 182 of file qwt_samples.h.

## Member Function Documentation

## boundingInterval()

QwtInterval QwtOHLCSample::boundingInterval | ( |  | ) | const

inline

Calculate the bounding interval of the OHLC values.

For valid samples the limits of this interval are always low/high.

Returns
  Bounding interval

See also
  isValid()

Definition at line 220 of file qwt_samples.h.

## isValid()

bool QwtOHLCSample::isValid | ( |  | ) | const

inline

Check if a sample is valid.

A sample is valid, when all of the following checks are true:

- low <= high
- low <= open <= high
- low <= close <= high

Returns
  True, when the sample is valid

Definition at line 203 of file qwt_samples.h.

## Member Data Documentation

## time

double QwtOHLCSample::time

Time of the sample, usually a number representing a specific interval - like a day.

Definition at line 158 of file qwt_samples.h.